Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.encog.ml.bayesian.query.sample
Class EventState

    java.lang.Object
      org.encog.ml.bayesian.query.sample.EventState

All Implemented Interfaces:
  Serializable

    public class EventState

extends Object
implements Serializable

Holds the state of an event during a query. This allows the event to actually hold a value, as well as an anticipated value (compareValue).

See Also:
  Serialized Form

Constructor Summary
`EventState(BayesianEvent theEvent)` Construct an event state for the specified event.

Method Summary
`int` | `getCompareValue()`
`BayesianEvent` | `getEvent()`
`EventType` | `getEventType()`
`int` | `getValue()`
`boolean` | `isCalculated()`
`boolean` | `isSatisfied()`
`void` | `randomize(int... args)`
`void` | `setCalculated(boolean calculated)`
`void` | `setCompareValue(int compareValue)`
`void` | `setEventType(EventType eventType)`
`void` | `setValue(int value)`
`static String` | `toSimpleString(EventState state)` Convert a state to a simple string.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EventState

    public EventState(BayesianEvent theEvent)

  Construct an event state for the specified event.

  Parameters:
    `theEvent` - The event to create a state for.

Method Detail

### isCalculated

    public boolean isCalculated()

  Returns:
    the calculated

### setCalculated

    public void setCalculated(boolean calculated)

  Parameters:
    `calculated` - the calculated to set

### getValue

    public int getValue()

  Returns:
    the value

### setValue

    public void setValue(int value)

  Parameters:
    `value` - the value to set

### getEvent

    public BayesianEvent getEvent()

  Returns:
    the event

### getEventType

    public EventType getEventType()

  Returns:
    the eventType

### setEventType

    public void setEventType(EventType eventType)

  Parameters:
    `eventType` - the eventType to set

### randomize

    public void randomize(int... args)

### getCompareValue

    public int getCompareValue()

  Returns:
    the compareValue

### setCompareValue

    public void setCompareValue(int compareValue)

  Parameters:
    `compareValue` - the compareValue to set

### isSatisfied

    public boolean isSatisfied()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toSimpleString

    public static String toSimpleString(EventState state)

  Convert a state to a simple string. (probability expression)

  Parameters:
    `state` - The state.
  Returns:
    A probability expression as a string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.